Unit taeg2c_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AEG2C_p;

function taeg2c: String;

implementation

function taeg2c: String;
var
J,I,IERR :Integer;
EVR :Array [0..3] of Real;
EVI :Array [0..3] of Real;
const
AR :Array [0..15] of Real = ( 1.0,0.42,0.54,0.66,0.42,1.0,0.32,0.44,0.54,0.32,
1.0,0.22,0.66,0.44,0.22,1.0 );
AI :Array [0..15] of Real = ( 0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,
0.0,0.0,0.0,0.0 );
begin
Result := '';  {   }
Result := Result + #$0D#$0A;
Result := Result + Format('%s',
 [' BCE COCTBEHHE HAEH KOMEKCHO MATP' + #$0D#$0A]);
Result := Result + Format('%s',[' AR' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format('%20.16f ',[AR[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' AI' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format('%20.16f ',[AI[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
AEG2C(4,AR,AI,EVR,EVI,IERR);
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' AR' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format('%20.16f ',[AR[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' AI' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format('%20.16f ',[AI[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' EVR' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  Result := Result + Format('%20.16f ',[EVR[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' EVI' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  Result := Result + Format('%20.16f ',[EVI[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('taeg2c',Result);  {     taeg2c.res }
exit;
end;

end.
